.toggle {
    background-color: var(--root-color-header---link);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: grid;
    place-items: center;
    cursor: pointer;
    box-shadow: 0 0 50px 20px rgba(0, 0, 0, .1);
    line-height: 1;
}

.toggle:hover {
    transform: scale(1.1);
}

[id^=switch] {
    display: none;
}

.icon {
    grid-column: 1 / 1;
    grid-row: 1 / 1;
    transition: transform 500ms;
}

.icon--prev {
    transition-delay: 200ms;
}

[id^=switch]:checked + .icon--prev {
    transform: rotate(360deg) scale(0);
}

.icon--next {
    transform: scale(0);
}

[id^=switch]:checked ~ .icon--next {
    transition-delay: 200ms;
    transform: scale(1) rotate(360deg);
}

@media only screen and (max-width: 700px) {
    .toggle {
        width: 80px;
        height: 80px;
        background-color: rgb(51, 51, 51);
        color: rgb(255, 225, 0);
    }
}
@media only screen and (max-width: 400px) {
    .toggle {
        width: 60px;
        height: 60px;
    }
}
